Subject: [Tigers] Antifreeze

From: [email-masked]
Date: Tue, 8 Oct 2013 20:13:20 +0000 (UTC)

I normally prefer just distilled water and Water Wetter for my engine coolant during normal driving season. Unfortunately the car has to sit in an unheated garage here in Northern Il. during the winter. 

This year it will have my new 347 motor and a new Griffin aluminum radiator in it. I want to put the right antifreeze in it, one that if by chance I did take the car out before the spring coolant flush would be good for the car. Griffin says to use a non-silicate type antifreeze. 

Trying to learn more about these things I am getting a headache. I did come across the following on the internet. It is in an article from 2005 in Motor magazine entitled "Cooling System Service Update". 

GM, VW/Audi and some European makers use OAT coolants with no silicates or phosphates. Japanese companies have been moving to an OAT with phosphates, but oppose a key organic acid in GM DexCool. Chrysler Group, Ford U.S.A. and BMW use basically the same antifreeze as Mercedes, a low-silicate hybrid formula. 

The entire article is at http://www.motor.com/article.asp?article_ID=938 . 

Based on the above it would seem I should go with something the Japanese use for their cars. I do not have a personal problem with that. But apparently their stuff is also expensive and I like to be smart with my money. Apparently not all ingredients are listed by all antifreeze makers on their containers. After reading the above, I decided to ask the List if anyone has plowed this field before me and if so, what brands have they turned up that people with a lot of aluminum in their engines cooling system should use. 

TIA, Gene 
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]